Subject: Mayhaw trees

From: George Shirley <[email-masked]>
Date: Sat, 04 May 1996 19:57:39 -0700

Does anyone have any information on pruning a Mayhaw tree?  My are 
reaching 8-10 foot now and look like a tangled mess.  None of my 
references even talk about this particular tree and before I jump in with 
the pruning shears and saw I would like to hear from someone who has 
tried it.  TIA

George in SW Louisiana